Manjaro KDE Edition
   1120

FREECAD

Добрый день! Кто ставил Freecad в Manjaro? При установки из AUR пишет следующее:
:: разрешение зависимостей…
:: no results found for qt5-base>=5.12.1 (dependency tree: freecad python2-pyside2 qt5-base)
:: no results found for qt5-xmlpatterns>=5.12.1 (dependency tree: freecad python2-pyside2 python2-shiboken2 qt5-xmlpatterns)

Чтобы продолжить, нажмите любую клавишу…

Понимаю, что чего-то ему не хватает, но чего? На Linux 3й день.

9 комментариев

avatar
python2-pyside2 версии 5.12.1 ставится из аур и требует версию qt5-base>=5.12.1, а в репах на данный момент 5.12.0-3.0, то же самое и с qt5-xmlpatterns, его требует пакет python2-shiboken2
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
здесь нужно играться с PKGBUILD`ом или подождать пока в репы завезут требуемые версии, если срочно, пиши в коммент, завтра поиграемся
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
sudo gedit /etc/pacman.conf
вписываеш в конец файла
[archlinuxcn]
Server = repo.archlinuxcn.org/$arch
SigLevel = Never

sudo pacman -Syy и спокойно ставишь с этой репы.

потом можеш закоментировать эту репу если нужно, но в ней по сути нет критически пересекающихся пакетов.

Если вдруг будет конфликт при обновлении.Бывает изредка, то пакман спрашивает какой из источников выбрать.
Вариант 2. Скачать с этой репы нужные пакеты и установить вручную.
Вариант 3 перейти на тестинг, обновить. зафиксировать нужные пакеты и вернуть обратно на стабильную. Соответственно откатить назад все остальное.
Последний раз редактировалось
0
avatar
ошибка: ссылка 'repo.archlinuxcn.org/x86_64/archlinuxcn.db' некорректна
ошибка: не удалось обновить archlinuxcn (неверный url для сервера)
ошибка: failed to synchronize all databases

Есть возможность дать корректную ссылку?
0
avatar
➜  ~ sudo pacman -Syy
:: Обновление баз данных пакетов...
 core                     147,3 KiB  2,66M/s 00:00 [####################] 100%
 extra                   1842,9 KiB  3,25M/s 00:01 [####################] 100%
 community                  5,2 MiB  3,06M/s 00:02 [####################] 100%
 multilib                 185,5 KiB  3,23M/s 00:00 [####################] 100%
 archlinuxcn             1197,9 KiB  1704K/s 00:01 [####################] 100%
Последний раз редактировалось
0
avatar
Рекомендую использовать фрикад в appimage с официального сайта
0
avatar
Обновы пришли, так что в придумывании велосипеда необходимость должна отпасть
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
+1
avatar
Все верно! Все и так устанавливается и работает! Спасибо за помощь!

P.S обновление 18.0.3
Последний раз редактировалось
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.